Auto-update caused sonarr to fail (Linux Mint)

Sonarr version (exact version): 3.0.3?
Mono version (if Sonarr is not running on Windows):6.12.0.90
OS: Linux Mint 18.3 Sylvia
Debug logs:

Sep 12 14:02:10 htpc mono[4661]: NLog Exception: System.TypeLoadException: Could not load type of field 'NzbDrone.Common.Instrumentation.Sentry.SentryTarget:LoggingLevelMap' (4) due to: Could not load file or assembly 'Sentry.Protocol, Version=1.0.6.0, Culture=neutral, PublicKeyT
oken=fba2ec45388e2af0' or one of its dependencies.
Sep 12 14:02:10 htpc mono[4661]:   at NzbDrone.Common.Instrumentation.NzbDroneLogger.Register (NzbDrone.Common.EnvironmentInfo.IStartupContext startupContext, System.Boolean updateApp, System.Boolean inConsole) [0x00030] in M:\BuildAgent\work\63739567f01dbcc2\src\NzbDrone.Common\
Instrumentation\NzbDroneLogger.cs:43
Sep 12 14:02:10 htpc mono[4661]:   at NzbDrone.Console.ConsoleApp.Main (System.String[] args) [0x0000c] in M:\BuildAgent\work\63739567f01dbcc2\src\NzbDrone.Console\ConsoleApp.cs:34
Sep 12 14:02:10 htpc mono[4661]: EPIC FAIL! System.TypeLoadException: Could not load type of field 'NzbDrone.Common.Instrumentation.Sentry.SentryTarget:LoggingLevelMap' (4) due to: Could not load file or assembly 'Sentry.Protocol, Version=1.0.6.0, Culture=neutral, PublicKeyToken=
fba2ec45388e2af0' or one of its dependencies.
Sep 12 14:02:10 htpc mono[4661]:   at NzbDrone.Common.Instrumentation.NzbDroneLogger.Register (NzbDrone.Common.EnvironmentInfo.IStartupContext startupContext, System.Boolean updateApp, System.Boolean inConsole) [0x00030] in M:\BuildAgent\work\63739567f01dbcc2\src\NzbDrone.Common\
Instrumentation\NzbDroneLogger.cs:43
Sep 12 14:02:10 htpc mono[4661]:   at NzbDrone.Console.ConsoleApp.Main (System.String[] args) [0x0002c] in M:\BuildAgent\work\63739567f01dbcc2\src\NzbDrone.Console\ConsoleApp.cs:39
Sep 12 14:02:10 htpc mono[4661]: Press enter to exit...

Description of issue: Auto-update to latest version caused failure
I suspect I have some internal state that is corrupted somehow. I’ve been updating Sonarr for the better part of a year w/o issues.

I was instructed on github to attempt to reinstall. However, running:

apt install --reinstall sonarr

Still produces the same error.

OK, I think I figured it out. When reinstalling it was consulting this existing file and updating to version:

/usr/lib/sonarr/bin/release_info:ReleaseVersion=3.0.3.911

Removing this release_info file shows it now updating to 924 and seems to be working OK.